org.bouncycastle.crypto.params

## Class RSABlindingParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.RSABlindingParameters

All Implemented Interfaces:
  CipherParameters

    public class RSABlindingParameters
    extends java.lang.Object
    implements CipherParameters

### Constructor Summary

Constructors
Constructor and Description
`RSABlindingParameters(RSAKeyParameters publicKey, java.math.BigInteger blindingFactor)`

### Method Summary

Methods
`java.math.BigInteger` `getBlindingFactor()`
`RSAKeyParameters` `getPublicKey()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RSABlindingParameters

    public RSABlindingParameters(RSAKeyParameters publicKey,
                         java.math.BigInteger blindingFactor)

### Method Detail

#### getPublicKey

    public RSAKeyParameters getPublicKey()

#### getBlindingFactor

    public java.math.BigInteger getBlindingFactor()